<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- the xsl included below contains messages for error codes-->
	<xsl:import href="smmsgs.xsl"/>
	<xsl:template match="OMA">
		<DataArea exportdata="false">
			<xsl:choose>
				<xsl:when test="WSManError != 0 and WSManError !='' and WSManError != 'null'">
					<xsl:attribute name="email">false</xsl:attribute>
					<xsl:attribute name="printable">false</xsl:attribute>

					<PageTitle alert="false">
						<xsl:attribute name="display"><xsl:value-of select="$strActionPerformed"/><xsl:call-template name="GetMessage"><xsl:with-param name="ErrorID" select="ErrorCode"/><xsl:with-param name="WSManError" select="WSManError"/></xsl:call-template></xsl:attribute>
					</PageTitle>

				</xsl:when>
				<xsl:otherwise>
					<PageTitle alert="true" status="4">
						<xsl:attribute name="display"><xsl:value-of select="$strTitle1"/></xsl:attribute>
					</PageTitle>
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strTitle2"/><xsl:call-template name="GetMessage"><xsl:with-param name="ErrorID" select="ErrorCode"/><xsl:with-param name="WSManError" select="WSManError"/></xsl:call-template></xsl:attribute>
					</SubHeader>
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strWhy"/></xsl:attribute>
					</SubHeader>
					<ListData>
						<Data>
							<xsl:attribute name="display">-</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strWhy1"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display">-</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strWhy2"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display">-</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strWhy3"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:otherwise>
			</xsl:choose>

			<BottomCustomButton>
				<Data>
					<xsl:choose>
						<xsl:when test="BackTo != 'null'">
					               <xsl:attribute name="href"><xsl:call-template name="ReturnPage"><xsl:with-param name="BackTo" select="/OMA/BackTo"/></xsl:call-template></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.sm.webplugins.OMSSHealthWebPlugin&amp;help=adprin</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="display"><xsl:value-of select="$strExitWizard"/></xsl:attribute>
				</Data>
			</BottomCustomButton>
		</DataArea>
	</xsl:template>
<xsl:template name="ReturnPage">
          <xsl:param name="defaultBackPage">/servlet/DataArea?plugin=com.dell.sm.webplugins.OMSSHealthWebPlugin&amp;help=stprhl</xsl:param>
          <xsl:param name="BackTo">
          </xsl:param>
          <xsl:choose>
            <xsl:when test="BackTo and BackTo='/'"><xsl:value-of select="$defaultBackPage"/></xsl:when>
            <xsl:when test="BackTo and BackTo!=''"><xsl:value-of select="translate($BackTo,'!','&amp;')"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="$defaultBackPage"/></xsl:otherwise>
          </xsl:choose>
        </xsl:template>

</xsl:stylesheet>
